b20273210f7e0f13366ca0727acca960acf1bd52
[scilab.git] / scilab / modules / arnoldi / Makefile.in
1 # Makefile.in generated by automake 1.11.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
6 # Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17
18 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
19 # Copyright (C) 2006 - INRIA - Sylvestre LEDRU
20 #
21 # This file is distributed under the same license as the Scilab package.
22
23 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
24 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
25 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
26 #
27 # This file must be used under the terms of the CeCILL.
28 # This source file is licensed as described in the file COPYING, which
29 # you should have received as part of this distribution.  The terms
30 # are also available at
31 # http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
32 #
33
34 ##########
35 ### Makefile included stuff
36 ### Target, variable, suffixes which are supposed to be usefull in every makefile.am
37 ##########
38
39
40 VPATH = @srcdir@
41 pkgdatadir = $(datadir)/@PACKAGE@
42 pkgincludedir = $(includedir)/@PACKAGE@
43 pkglibdir = $(libdir)/@PACKAGE@
44 pkglibexecdir = $(libexecdir)/@PACKAGE@
45 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
46 install_sh_DATA = $(install_sh) -c -m 644
47 install_sh_PROGRAM = $(install_sh) -c
48 install_sh_SCRIPT = $(install_sh) -c
49 INSTALL_HEADER = $(INSTALL_DATA)
50 transform = $(program_transform_name)
51 NORMAL_INSTALL = :
52 PRE_INSTALL = :
53 POST_INSTALL = :
54 NORMAL_UNINSTALL = :
55 PRE_UNINSTALL = :
56 POST_UNINSTALL = :
57 build_triplet = @build@
58 host_triplet = @host@
59 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
60         $(top_srcdir)/Makefile.incl.am
61 @NEED_JAVA_TRUE@am__append_1 = java
62 subdir = modules/arnoldi
63 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
64 am__aclocal_m4_deps = $(top_srcdir)/m4/backtrace.m4 \
65         $(top_srcdir)/m4/compiler.m4 $(top_srcdir)/m4/docbook.m4 \
66         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
67         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
68         $(top_srcdir)/m4/intel_compiler.m4 \
69         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
70         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
71         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
72         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
73         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
74         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
75         $(top_srcdir)/m4/ocaml.m4 $(top_srcdir)/m4/pcre.m4 \
76         $(top_srcdir)/m4/pkg.m4 $(top_srcdir)/m4/relocatable.m4 \
77         $(top_srcdir)/m4/swig.m4 $(top_srcdir)/m4/symlinks.m4 \
78         $(top_srcdir)/m4/tcltk.m4 $(top_srcdir)/m4/umfpack.m4 \
79         $(top_srcdir)/configure.ac
80 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
81         $(ACLOCAL_M4)
82 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
83 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
84 CONFIG_CLEAN_FILES =
85 CONFIG_CLEAN_VPATH_FILES =
86 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
87 am__vpath_adj = case $$p in \
88     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
89     *) f=$$p;; \
90   esac;
91 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
92 am__install_max = 40
93 am__nobase_strip_setup = \
94   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
95 am__nobase_strip = \
96   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
97 am__nobase_list = $(am__nobase_strip_setup); \
98   for p in $$list; do echo "$$p $$p"; done | \
99   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
100   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
101     if (++n[$$2] == $(am__install_max)) \
102       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
103     END { for (dir in files) print dir, files[dir] }'
104 am__base_list = \
105   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
106   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
107 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
108         "$(DESTDIR)$(libsciarnoldi_la_etcdir)" \
109         "$(DESTDIR)$(libsciarnoldi_la_rootdir)" \
110         "$(DESTDIR)$(libsciarnoldi_la_sci_gatewaydir)"
111 LTLIBRARIES = $(noinst_LTLIBRARIES) $(pkglib_LTLIBRARIES)
112 libsciarnoldi_algo_la_LIBADD =
113 am__objects_1 = dsconv.lo dsortc.lo dsaup2.lo dneigh.lo znaupd.lo \
114         dsesrt.lo zneupd.lo smout.lo znaitr.lo zngets.lo second.lo \
115         znapps.lo zlarnv.lo dsortr.lo zmout.lo dseigt.lo zgetv0.lo \
116         znaup2.lo icnteq.lo icopy.lo zneigh.lo zsortc.lo dstatn.lo \
117         dlaruv.lo dstqrb.lo cvout.lo dvout.lo dstats.lo dlaqrb.lo \
118         ivout.lo dnaupd.lo dneupd.lo dsaupd.lo svout.lo dnaitr.lo \
119         iswap.lo zstatn.lo dseupd.lo dngets.lo dnapps.lo dsaitr.lo \
120         dlarnv.lo cmout.lo dnconv.lo zvout.lo dmout.lo dsgets.lo \
121         dgetv0.lo dnaup2.lo dsapps.lo
122 am_libsciarnoldi_algo_la_OBJECTS = $(am__objects_1)
123 libsciarnoldi_algo_la_OBJECTS = $(am_libsciarnoldi_algo_la_OBJECTS)
124 libsciarnoldi_la_DEPENDENCIES = libsciarnoldi-algo.la
125 am__objects_2 = libsciarnoldi_la-sci_dseupd.lo \
126         libsciarnoldi_la-sci_zneupd.lo libsciarnoldi_la-gw_arnoldi.lo \
127         libsciarnoldi_la-sci_dnaupd.lo libsciarnoldi_la-sci_dneupd.lo \
128         libsciarnoldi_la-sci_dsaupd.lo libsciarnoldi_la-sci_znaupd.lo
129 am_libsciarnoldi_la_OBJECTS = $(am__objects_2)
130 libsciarnoldi_la_OBJECTS = $(am_libsciarnoldi_la_OBJECTS)
131 libsciarnoldi_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
132         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(libsciarnoldi_la_CFLAGS) \
133         $(CFLAGS) $(libsciarnoldi_la_LDFLAGS) $(LDFLAGS) -o $@
134 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
135 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
136 am__depfiles_maybe = depfiles
137 am__mv = mv -f
138 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
139         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
140 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
141         --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
142         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
143 CCLD = $(CC)
144 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
145         --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
146         $(LDFLAGS) -o $@
147 F77COMPILE = $(F77) $(AM_FFLAGS) $(FFLAGS)
148 LTF77COMPILE = $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
149         --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS)
150 F77LD = $(F77)
151 F77LINK = $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
152         --mode=link $(F77LD) $(AM_FFLAGS) $(FFLAGS) $(AM_LDFLAGS) \
153         $(LDFLAGS) -o $@
154 SOURCES = $(libsciarnoldi_algo_la_SOURCES) $(libsciarnoldi_la_SOURCES)
155 DIST_SOURCES = $(libsciarnoldi_algo_la_SOURCES) \
156         $(libsciarnoldi_la_SOURCES)
157 DATA = $(libsciarnoldi_la_etc_DATA) $(libsciarnoldi_la_root_DATA) \
158         $(libsciarnoldi_la_sci_gateway_DATA)
159 ETAGS = etags
160 CTAGS = ctags
161 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
162 ACLOCAL = @ACLOCAL@
163 ALL_LINGUAS = @ALL_LINGUAS@
164 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
165 AMTAR = @AMTAR@
166 ANT = @ANT@
167 ANTLR = @ANTLR@
168 AR = @AR@
169 AUTOCONF = @AUTOCONF@
170 AUTOHEADER = @AUTOHEADER@
171 AUTOMAKE = @AUTOMAKE@
172 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
173 AWK = @AWK@
174 BATIK = @BATIK@
175 BLAS_LIBS = @BLAS_LIBS@
176 BSH = @BSH@
177 CC = @CC@
178 CCACHE = @CCACHE@
179 CCDEPMODE = @CCDEPMODE@
180 CFLAGS = @CFLAGS@
181 CHECKSTYLE = @CHECKSTYLE@
182 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
183 COMMONS_IO = @COMMONS_IO@
184 COMMONS_LOGGING = @COMMONS_LOGGING@
185 CPP = @CPP@
186 CPPFLAGS = @CPPFLAGS@
187 CXX = @CXX@
188 CXXCPP = @CXXCPP@
189 CXXDEPMODE = @CXXDEPMODE@
190 CXXFLAGS = @CXXFLAGS@
191 CYGPATH_W = @CYGPATH_W@
192 DEFS = @DEFS@
193 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
194 DEPDIR = @DEPDIR@
195 DOCBOOK_ROOT = @DOCBOOK_ROOT@
196 DSYMUTIL = @DSYMUTIL@
197 DUMPBIN = @DUMPBIN@
198 ECHO_C = @ECHO_C@
199 ECHO_N = @ECHO_N@
200 ECHO_T = @ECHO_T@
201 EGREP = @EGREP@
202 EXEEXT = @EXEEXT@
203 F77 = @F77@
204 FFLAGS = @FFLAGS@
205 FFTW3_LIB = @FFTW3_LIB@
206 FFTW_ENABLE = @FFTW_ENABLE@
207 FGREP = @FGREP@
208 FLEXDOCK = @FLEXDOCK@
209 FLIBS = @FLIBS@
210 FOP = @FOP@
211 GENHTML = @GENHTML@
212 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
213 GIWS_BIN = @GIWS_BIN@
214 GLUEGEN_RT = @GLUEGEN_RT@
215 GMSGFMT = @GMSGFMT@
216 GMSGFMT_015 = @GMSGFMT_015@
217 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
218 GREP = @GREP@
219 GUI_ENABLE = @GUI_ENABLE@
220 HDF5_CFLAGS = @HDF5_CFLAGS@
221 HDF5_ENABLE = @HDF5_ENABLE@
222 HDF5_LIBS = @HDF5_LIBS@
223 HELP_ENABLE = @HELP_ENABLE@
224 INSTALL = @INSTALL@
225 INSTALL_DATA = @INSTALL_DATA@
226 INSTALL_PROGRAM = @INSTALL_PROGRAM@
227 INSTALL_SCRIPT = @INSTALL_SCRIPT@
228 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
229 INTLLIBS = @INTLLIBS@
230 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
231 JAR = @JAR@
232 JAVA = @JAVA@
233 JAVAC = @JAVAC@
234 JAVAC_DEBUG = @JAVAC_DEBUG@
235 JAVADOC = @JAVADOC@
236 JAVAH = @JAVAH@
237 JAVASCI_ENABLE = @JAVASCI_ENABLE@
238 JAVA_ENABLE = @JAVA_ENABLE@
239 JAVA_G = @JAVA_G@
240 JAVA_HOME = @JAVA_HOME@
241 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
242 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
243 JCOMMANDER = @JCOMMANDER@
244 JDB = @JDB@
245 JEUCLID_CORE = @JEUCLID_CORE@
246 JGRAPHX = @JGRAPHX@
247 JHALL = @JHALL@
248 JHDF5 = @JHDF5@
249 JLATEXMATH = @JLATEXMATH@
250 JLATEXMATH_FOP = @JLATEXMATH_FOP@
251 JOGL = @JOGL@
252 JROSETTA_API = @JROSETTA_API@
253 JROSETTA_ENGINE = @JROSETTA_ENGINE@
254 JUNIT = @JUNIT@
255 LAPACK_LIBS = @LAPACK_LIBS@
256 LCOV = @LCOV@
257 LD = @LD@
258 LDFLAGS = @LDFLAGS@
259 LIBICONV = @LIBICONV@
260 LIBINTL = @LIBINTL@
261 LIBM = @LIBM@
262 LIBOBJS = @LIBOBJS@
263 LIBS = @LIBS@
264 LIBTOOL = @LIBTOOL@
265 LIPO = @LIPO@
266 LN_S = @LN_S@
267 LOGGING_LEVEL = @LOGGING_LEVEL@
268 LOOKS = @LOOKS@
269 LTLIBICONV = @LTLIBICONV@
270 LTLIBINTL = @LTLIBINTL@
271 LTLIBOBJS = @LTLIBOBJS@
272 MAINT = @MAINT@
273 MAKEINFO = @MAKEINFO@
274 MATIO_CFLAGS = @MATIO_CFLAGS@
275 MATIO_ENABLE = @MATIO_ENABLE@
276 MATIO_LIBS = @MATIO_LIBS@
277 MKDIR_P = @MKDIR_P@
278 MSGCAT = @MSGCAT@
279 MSGFMT = @MSGFMT@
280 MSGFMT_015 = @MSGFMT_015@
281 MSGMERGE = @MSGMERGE@
282 NM = @NM@
283 NMEDIT = @NMEDIT@
284 OBJDUMP = @OBJDUMP@
285 OBJEXT = @OBJEXT@
286 OCAMLC = @OCAMLC@
287 OCAMLDEP = @OCAMLDEP@
288 OCAMLLEX = @OCAMLLEX@
289 OCAMLOPT = @OCAMLOPT@
290 OCAMLYACC = @OCAMLYACC@
291 OPENMP_CFLAGS = @OPENMP_CFLAGS@
292 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
293 OPENMP_ENABLE = @OPENMP_ENABLE@
294 OPENMP_LIBS = @OPENMP_LIBS@
295 OTOOL = @OTOOL@
296 OTOOL64 = @OTOOL64@
297 PACKAGE = @PACKAGE@
298 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
299 PACKAGE_NAME = @PACKAGE_NAME@
300 PACKAGE_STRING = @PACKAGE_STRING@
301 PACKAGE_TARNAME = @PACKAGE_TARNAME@
302 PACKAGE_URL = @PACKAGE_URL@
303 PACKAGE_VERSION = @PACKAGE_VERSION@
304 PATH_SEPARATOR = @PATH_SEPARATOR@
305 PCRE_CFLAGS = @PCRE_CFLAGS@
306 PCRE_CONFIG = @PCRE_CONFIG@
307 PCRE_LIBS = @PCRE_LIBS@
308 PCRE_VERSION = @PCRE_VERSION@
309 PKG_CONFIG = @PKG_CONFIG@
310 POSUB = @POSUB@
311 POW_LIB = @POW_LIB@
312 PYTHON = @PYTHON@
313 QDOX = @QDOX@
314 RANLIB = @RANLIB@
315 RELOCATABLE = @RELOCATABLE@
316 RT_LIB = @RT_LIB@
317 SAXON = @SAXON@
318 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
319 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
320 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
321 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
322 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
323 SED = @SED@
324 SET_MAKE = @SET_MAKE@
325 SET_RELOCATABLE = @SET_RELOCATABLE@
326 SHELL = @SHELL@
327 SKINLF = @SKINLF@
328 SPLINT = @SPLINT@
329 STRIP = @STRIP@
330 SWIG_BIN = @SWIG_BIN@
331 SWIG_JAVA = @SWIG_JAVA@
332 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
333 TCLTK_LIBS = @TCLTK_LIBS@
334 TCL_INC_PATH = @TCL_INC_PATH@
335 TESTNG = @TESTNG@
336 TK_INC_PATH = @TK_INC_PATH@
337 UMFPACK_ENABLE = @UMFPACK_ENABLE@
338 UMFPACK_LIB = @UMFPACK_LIB@
339 USE_NLS = @USE_NLS@
340 VERSION = @VERSION@
341 WITH_OCAML = @WITH_OCAML@
342 WITH_TKSCI = @WITH_TKSCI@
343 XCOS_ENABLE = @XCOS_ENABLE@
344 XGETTEXT = @XGETTEXT@
345 XGETTEXT_015 = @XGETTEXT_015@
346 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
347 XMKMF = @XMKMF@
348 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
349 XML_APIS_EXT = @XML_APIS_EXT@
350 XML_CONFIG = @XML_CONFIG@
351 XML_FLAGS = @XML_FLAGS@
352 XML_LIBS = @XML_LIBS@
353 XML_VERSION = @XML_VERSION@
354 X_CFLAGS = @X_CFLAGS@
355 X_EXTRA_LIBS = @X_EXTRA_LIBS@
356 X_LIBS = @X_LIBS@
357 X_PRE_LIBS = @X_PRE_LIBS@
358 abs_builddir = @abs_builddir@
359 abs_srcdir = @abs_srcdir@
360 abs_top_builddir = @abs_top_builddir@
361 abs_top_srcdir = @abs_top_srcdir@
362 ac_ct_CC = @ac_ct_CC@
363 ac_ct_CXX = @ac_ct_CXX@
364 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
365 ac_ct_F77 = @ac_ct_F77@
366 am__include = @am__include@
367 am__leading_dot = @am__leading_dot@
368 am__quote = @am__quote@
369 am__tar = @am__tar@
370 am__untar = @am__untar@
371 bindir = @bindir@
372 build = @build@
373 build_alias = @build_alias@
374 build_cpu = @build_cpu@
375 build_os = @build_os@
376 build_vendor = @build_vendor@
377 builddir = @builddir@
378 cxx_present = @cxx_present@
379 datadir = @datadir@
380 datarootdir = @datarootdir@
381 docdir = @docdir@
382 dvidir = @dvidir@
383 exec_prefix = @exec_prefix@
384 host = @host@
385 host_alias = @host_alias@
386 host_cpu = @host_cpu@
387 host_os = @host_os@
388 host_vendor = @host_vendor@
389 htmldir = @htmldir@
390 includedir = @includedir@
391 infodir = @infodir@
392 install_sh = @install_sh@
393 libdir = @libdir@
394 libexecdir = @libexecdir@
395 localedir = @localedir@
396 localstatedir = @localstatedir@
397 mandir = @mandir@
398 mkdir_p = @mkdir_p@
399 oldincludedir = @oldincludedir@
400 pdfdir = @pdfdir@
401 prefix = @prefix@
402 program_transform_name = @program_transform_name@
403 psdir = @psdir@
404 sbindir = @sbindir@
405 sharedstatedir = @sharedstatedir@
406 srcdir = @srcdir@
407 sysconfdir = @sysconfdir@
408 target_alias = @target_alias@
409 top_build_prefix = @top_build_prefix@
410 top_builddir = @top_builddir@
411 top_srcdir = @top_srcdir@
412 ARNOLDI_FORTRAN_SOURCES = src/arpack/dsconv.f \
413 src/arpack/dsortc.f \
414 src/arpack/dsaup2.f \
415 src/arpack/dneigh.f \
416 src/arpack/znaupd.f \
417 src/arpack/dsesrt.f \
418 src/arpack/zneupd.f \
419 src/arpack/smout.f \
420 src/arpack/znaitr.f \
421 src/arpack/zngets.f \
422 src/arpack/second.f \
423 src/arpack/znapps.f \
424 src/arpack/zlarnv.f \
425 src/arpack/dsortr.f \
426 src/arpack/zmout.f \
427 src/arpack/dseigt.f \
428 src/arpack/zgetv0.f \
429 src/arpack/znaup2.f \
430 src/arpack/icnteq.f \
431 src/arpack/icopy.f \
432 src/arpack/zneigh.f \
433 src/arpack/zsortc.f \
434 src/arpack/dstatn.f \
435 src/arpack/dlaruv.f \
436 src/arpack/dstqrb.f \
437 src/arpack/cvout.f \
438 src/arpack/dvout.f \
439 src/arpack/dstats.f \
440 src/arpack/dlaqrb.f \
441 src/arpack/ivout.f \
442 src/arpack/dnaupd.f \
443 src/arpack/dneupd.f \
444 src/arpack/dsaupd.f \
445 src/arpack/svout.f \
446 src/arpack/dnaitr.f \
447 src/arpack/iswap.f \
448 src/arpack/zstatn.f \
449 src/arpack/dseupd.f \
450 src/arpack/dngets.f \
451 src/arpack/dnapps.f \
452 src/arpack/dsaitr.f \
453 src/arpack/dlarnv.f \
454 src/arpack/cmout.f \
455 src/arpack/dnconv.f \
456 src/arpack/zvout.f \
457 src/arpack/dmout.f \
458 src/arpack/dsgets.f \
459 src/arpack/dgetv0.f \
460 src/arpack/dnaup2.f \
461 src/arpack/dsapps.f
462
463 GATEWAY_C_SOURCES = sci_gateway/c/sci_zneupd \
464 sci_gateway/c/sci_dseupd.c \
465 sci_gateway/c/sci_zneupd.c \
466 sci_gateway/c/gw_arnoldi.c \
467 sci_gateway/c/sci_dnaupd.c \
468 sci_gateway/c/sci_dneupd.c \
469 sci_gateway/c/sci_dsaupd.c \
470 sci_gateway/c/sci_znaupd.c
471
472 libsciarnoldi_la_CFLAGS = -I$(top_srcdir)/libs/MALLOC/includes/ \
473                                 -I$(srcdir)/includes/ \
474                                 -I$(top_srcdir)/modules/api_scilab/includes \
475                                 -I$(top_srcdir)/modules/output_stream/includes/
476
477 libsciarnoldi_la_FFLAGS = -I$(srcdir)/src/arpack/
478 pkglib_LTLIBRARIES = libsciarnoldi.la
479 noinst_LTLIBRARIES = libsciarnoldi-algo.la
480 libsciarnoldi_la_LDFLAGS = -version-number $(SCILAB_LIBRARY_VERSION) $(LAPACK_LIBS)
481 libsciarnoldi_algo_la_SOURCES = $(ARNOLDI_FORTRAN_SOURCES)
482 libsciarnoldi_la_SOURCES = $(GATEWAY_C_SOURCES)
483 libsciarnoldi_algo_la_CFLAGS = $(libsciarnoldi_la_CFLAGS)
484
485 # For the code check (splint)
486 CHECK_SRC = $(GATEWAY_C_SOURCES)
487 INCLUDE_FLAGS = $(libsciarnoldi_la_CFLAGS)
488 libsciarnoldi_la_LIBADD = libsciarnoldi-algo.la
489
490 #### Target ######
491 modulename = arnoldi
492
493 #### arnoldi : Conf files ####
494 libsciarnoldi_la_rootdir = $(mydatadir)
495 libsciarnoldi_la_root_DATA = license.txt 
496
497 #### arnoldi : init scripts ####
498 libsciarnoldi_la_etcdir = $(mydatadir)/etc
499 libsciarnoldi_la_etc_DATA = etc/arnoldi.quit etc/arnoldi.start
500
501 #### arnoldi : gateway declaration ####
502 libsciarnoldi_la_sci_gatewaydir = $(mydatadir)/sci_gateway
503 libsciarnoldi_la_sci_gateway_DATA = sci_gateway/arnoldi_gateway.xml
504
505 # Where all the Scilab stuff is installed (macros, help, ...)
506 mydatadir = $(pkgdatadir)/modules/$(modulename)
507
508 # splint options
509 SPLINT_OPTIONS = -weak -booltype BOOL
510
511 ########################### JAVA ######################################
512 #### We are delegating java compilation to ant... Thanks to that
513 #### the procedure will be the same with Microsoft Windows (C)
514 #### and Linux/Unix
515 #######################################################################
516 TARGETS_ALL = $(am__append_1)
517
518 ################ MACROS ######################
519 # Rule to build a macro
520 # NOT USED  AT THE MOMENT
521 SUFFIXES = .sci 
522
523 ########### INSTALL DOCUMENTATION ###################
524
525 # Install documentation files into the right target
526 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
527 # automake needs the html files to be present which is not the case when
528 # we are building Scilab
529
530 # Where it should be installed
531 pkgdocdir = $(mydatadir)
532
533 # What is the mask of the help source
534 DOCMASKXML = *.xml
535
536 # What is the mask of the MathML sources
537 DOCMASKMML = *.mml
538
539 ########### INSTALL DATA ###################
540 # Install macros, help & demos
541 # Where it should be installed
542 pkgmacrosdir = $(mydatadir)
543 # Which directory we process
544 MACRODIRS = macros/
545 # Mask of the Scilab sources macros
546 MACROMASK = *.sci
547 # Mask of the Scilab executable sources macros
548 MACROBUILDMASK = *.sce
549 # Mask of the Scilab compiled macros
550 MACROBINMASK = *.bin
551 # List of the standard directory for tests
552 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
553 # Where the demos should be installed
554 pkgdemosdir = $(mydatadir)
555 # List of the standard directory for demos
556 DEMOS_DIR = demos
557 # List of the standard directory for examples
558 EXAMPLES_DIR = examples
559 # Where to export JAVA archives (.jar)
560 JARDIR = jar/
561 # JAR files mask
562 JARMASK = *.jar
563 # Chapter file 
564 HELP_CHAPTERDIR = help/
565 HELP_CHAPTERFILE = addchapter.sce
566 HELP_CHAPTERLANG = en_US fr_FR pt_BR
567 all: all-am
568
569 .SUFFIXES:
570 .SUFFIXES: .sci .bin .c .f .lo .o .obj
571 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
572         @for dep in $?; do \
573           case '$(am__configure_deps)' in \
574             *$$dep*) \
575               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
576                 && { if test -f $@; then exit 0; else break; fi; }; \
577               exit 1;; \
578           esac; \
579         done; \
580         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/arnoldi/Makefile'; \
581         $(am__cd) $(top_srcdir) && \
582           $(AUTOMAKE) --foreign modules/arnoldi/Makefile
583 .PRECIOUS: Makefile
584 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
585         @case '$?' in \
586           *config.status*) \
587             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
588           *) \
589             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
590             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
591         esac;
592
593 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
594         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
595
596 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
597         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
598 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
599         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
600 $(am__aclocal_m4_deps):
601
602 clean-noinstLTLIBRARIES:
603         -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
604         @list='$(noinst_LTLIBRARIES)'; for p in $$list; do \
605           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
606           test "$$dir" != "$$p" || dir=.; \
607           echo "rm -f \"$${dir}/so_locations\""; \
608           rm -f "$${dir}/so_locations"; \
609         done
610 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
611         @$(NORMAL_INSTALL)
612         test -z "$(pkglibdir)" || $(MKDIR_P) "$(DESTDIR)$(pkglibdir)"
613         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
614         list2=; for p in $$list; do \
615           if test -f $$p; then \
616             list2="$$list2 $$p"; \
617           else :; fi; \
618         done; \
619         test -z "$$list2" || { \
620           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
621           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
622         }
623
624 uninstall-pkglibLTLIBRARIES:
625         @$(NORMAL_UNINSTALL)
626         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
627         for p in $$list; do \
628           $(am__strip_dir) \
629           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
630           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
631         done
632
633 clean-pkglibLTLIBRARIES:
634         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
635         @list='$(pkglib_LTLIBRARIES)'; for p in $$list; do \
636           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
637           test "$$dir" != "$$p" || dir=.; \
638           echo "rm -f \"$${dir}/so_locations\""; \
639           rm -f "$${dir}/so_locations"; \
640         done
641 libsciarnoldi-algo.la: $(libsciarnoldi_algo_la_OBJECTS) $(libsciarnoldi_algo_la_DEPENDENCIES) 
642         $(F77LINK)  $(libsciarnoldi_algo_la_OBJECTS) $(libsciarnoldi_algo_la_LIBADD) $(LIBS)
643 libsciarnoldi.la: $(libsciarnoldi_la_OBJECTS) $(libsciarnoldi_la_DEPENDENCIES) 
644         $(libsciarnoldi_la_LINK) -rpath $(pkglibdir) $(libsciarnoldi_la_OBJECTS) $(libsciarnoldi_la_LIBADD) $(LIBS)
645
646 mostlyclean-compile:
647         -rm -f *.$(OBJEXT)
648
649 distclean-compile:
650         -rm -f *.tab.c
651
652 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciarnoldi_la-gw_arnoldi.Plo@am__quote@
653 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciarnoldi_la-sci_dnaupd.Plo@am__quote@
654 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciarnoldi_la-sci_dneupd.Plo@am__quote@
655 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciarnoldi_la-sci_dsaupd.Plo@am__quote@
656 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciarnoldi_la-sci_dseupd.Plo@am__quote@
657 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciarnoldi_la-sci_znaupd.Plo@am__quote@
658 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciarnoldi_la-sci_zneupd.Plo@am__quote@
659
660 .c.o:
661 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
662 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
663 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
664 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
665 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
666
667 .c.obj:
668 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
669 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
670 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
671 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
672 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
673
674 .c.lo:
675 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
676 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
677 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
678 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
679 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
680
681 libsciarnoldi_la-sci_dseupd.lo: sci_gateway/c/sci_dseupd.c
682 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciarnoldi_la_CFLAGS) $(CFLAGS) -MT libsciarnoldi_la-sci_dseupd.lo -MD -MP -MF $(DEPDIR)/libsciarnoldi_la-sci_dseupd.Tpo -c -o libsciarnoldi_la-sci_dseupd.lo `test -f 'sci_gateway/c/sci_dseupd.c' || echo '$(srcdir)/'`sci_gateway/c/sci_dseupd.c
683 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciarnoldi_la-sci_dseupd.Tpo $(DEPDIR)/libsciarnoldi_la-sci_dseupd.Plo
684 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_dseupd.c' object='libsciarnoldi_la-sci_dseupd.lo' libtool=yes @AMDEPBACKSLASH@
685 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
686 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciarnoldi_la_CFLAGS) $(CFLAGS) -c -o libsciarnoldi_la-sci_dseupd.lo `test -f 'sci_gateway/c/sci_dseupd.c' || echo '$(srcdir)/'`sci_gateway/c/sci_dseupd.c
687
688 libsciarnoldi_la-sci_zneupd.lo: sci_gateway/c/sci_zneupd.c
689 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciarnoldi_la_CFLAGS) $(CFLAGS) -MT libsciarnoldi_la-sci_zneupd.lo -MD -MP -MF $(DEPDIR)/libsciarnoldi_la-sci_zneupd.Tpo -c -o libsciarnoldi_la-sci_zneupd.lo `test -f 'sci_gateway/c/sci_zneupd.c' || echo '$(srcdir)/'`sci_gateway/c/sci_zneupd.c
690 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciarnoldi_la-sci_zneupd.Tpo $(DEPDIR)/libsciarnoldi_la-sci_zneupd.Plo
691 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_zneupd.c' object='libsciarnoldi_la-sci_zneupd.lo' libtool=yes @AMDEPBACKSLASH@
692 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
693 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciarnoldi_la_CFLAGS) $(CFLAGS) -c -o libsciarnoldi_la-sci_zneupd.lo `test -f 'sci_gateway/c/sci_zneupd.c' || echo '$(srcdir)/'`sci_gateway/c/sci_zneupd.c
694
695 libsciarnoldi_la-gw_arnoldi.lo: sci_gateway/c/gw_arnoldi.c
696 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciarnoldi_la_CFLAGS) $(CFLAGS) -MT libsciarnoldi_la-gw_arnoldi.lo -MD -MP -MF $(DEPDIR)/libsciarnoldi_la-gw_arnoldi.Tpo -c -o libsciarnoldi_la-gw_arnoldi.lo `test -f 'sci_gateway/c/gw_arnoldi.c' || echo '$(srcdir)/'`sci_gateway/c/gw_arnoldi.c
697 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciarnoldi_la-gw_arnoldi.Tpo $(DEPDIR)/libsciarnoldi_la-gw_arnoldi.Plo
698 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/gw_arnoldi.c' object='libsciarnoldi_la-gw_arnoldi.lo' libtool=yes @AMDEPBACKSLASH@
699 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
700 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciarnoldi_la_CFLAGS) $(CFLAGS) -c -o libsciarnoldi_la-gw_arnoldi.lo `test -f 'sci_gateway/c/gw_arnoldi.c' || echo '$(srcdir)/'`sci_gateway/c/gw_arnoldi.c
701
702 libsciarnoldi_la-sci_dnaupd.lo: sci_gateway/c/sci_dnaupd.c
703 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciarnoldi_la_CFLAGS) $(CFLAGS) -MT libsciarnoldi_la-sci_dnaupd.lo -MD -MP -MF $(DEPDIR)/libsciarnoldi_la-sci_dnaupd.Tpo -c -o libsciarnoldi_la-sci_dnaupd.lo `test -f 'sci_gateway/c/sci_dnaupd.c' || echo '$(srcdir)/'`sci_gateway/c/sci_dnaupd.c
704 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciarnoldi_la-sci_dnaupd.Tpo $(DEPDIR)/libsciarnoldi_la-sci_dnaupd.Plo
705 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_dnaupd.c' object='libsciarnoldi_la-sci_dnaupd.lo' libtool=yes @AMDEPBACKSLASH@
706 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
707 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciarnoldi_la_CFLAGS) $(CFLAGS) -c -o libsciarnoldi_la-sci_dnaupd.lo `test -f 'sci_gateway/c/sci_dnaupd.c' || echo '$(srcdir)/'`sci_gateway/c/sci_dnaupd.c
708
709 libsciarnoldi_la-sci_dneupd.lo: sci_gateway/c/sci_dneupd.c
710 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciarnoldi_la_CFLAGS) $(CFLAGS) -MT libsciarnoldi_la-sci_dneupd.lo -MD -MP -MF $(DEPDIR)/libsciarnoldi_la-sci_dneupd.Tpo -c -o libsciarnoldi_la-sci_dneupd.lo `test -f 'sci_gateway/c/sci_dneupd.c' || echo '$(srcdir)/'`sci_gateway/c/sci_dneupd.c
711 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciarnoldi_la-sci_dneupd.Tpo $(DEPDIR)/libsciarnoldi_la-sci_dneupd.Plo
712 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_dneupd.c' object='libsciarnoldi_la-sci_dneupd.lo' libtool=yes @AMDEPBACKSLASH@
713 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
714 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciarnoldi_la_CFLAGS) $(CFLAGS) -c -o libsciarnoldi_la-sci_dneupd.lo `test -f 'sci_gateway/c/sci_dneupd.c' || echo '$(srcdir)/'`sci_gateway/c/sci_dneupd.c
715
716 libsciarnoldi_la-sci_dsaupd.lo: sci_gateway/c/sci_dsaupd.c
717 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciarnoldi_la_CFLAGS) $(CFLAGS) -MT libsciarnoldi_la-sci_dsaupd.lo -MD -MP -MF $(DEPDIR)/libsciarnoldi_la-sci_dsaupd.Tpo -c -o libsciarnoldi_la-sci_dsaupd.lo `test -f 'sci_gateway/c/sci_dsaupd.c' || echo '$(srcdir)/'`sci_gateway/c/sci_dsaupd.c
718 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciarnoldi_la-sci_dsaupd.Tpo $(DEPDIR)/libsciarnoldi_la-sci_dsaupd.Plo
719 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_dsaupd.c' object='libsciarnoldi_la-sci_dsaupd.lo' libtool=yes @AMDEPBACKSLASH@
720 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
721 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciarnoldi_la_CFLAGS) $(CFLAGS) -c -o libsciarnoldi_la-sci_dsaupd.lo `test -f 'sci_gateway/c/sci_dsaupd.c' || echo '$(srcdir)/'`sci_gateway/c/sci_dsaupd.c
722
723 libsciarnoldi_la-sci_znaupd.lo: sci_gateway/c/sci_znaupd.c
724 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciarnoldi_la_CFLAGS) $(CFLAGS) -MT libsciarnoldi_la-sci_znaupd.lo -MD -MP -MF $(DEPDIR)/libsciarnoldi_la-sci_znaupd.Tpo -c -o libsciarnoldi_la-sci_znaupd.lo `test -f 'sci_gateway/c/sci_znaupd.c' || echo '$(srcdir)/'`sci_gateway/c/sci_znaupd.c
725 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciarnoldi_la-sci_znaupd.Tpo $(DEPDIR)/libsciarnoldi_la-sci_znaupd.Plo
726 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_znaupd.c' object='libsciarnoldi_la-sci_znaupd.lo' libtool=yes @AMDEPBACKSLASH@
727 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
728 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciarnoldi_la_CFLAGS) $(CFLAGS) -c -o libsciarnoldi_la-sci_znaupd.lo `test -f 'sci_gateway/c/sci_znaupd.c' || echo '$(srcdir)/'`sci_gateway/c/sci_znaupd.c
729
730 .f.o:
731         $(F77COMPILE) -c -o $@ $<
732
733 .f.obj:
734         $(F77COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
735
736 .f.lo:
737         $(LTF77COMPILE) -c -o $@ $<
738
739 dsconv.lo: src/arpack/dsconv.f
740         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o dsconv.lo `test -f 'src/arpack/dsconv.f' || echo '$(srcdir)/'`src/arpack/dsconv.f
741
742 dsortc.lo: src/arpack/dsortc.f
743         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o dsortc.lo `test -f 'src/arpack/dsortc.f' || echo '$(srcdir)/'`src/arpack/dsortc.f
744
745 dsaup2.lo: src/arpack/dsaup2.f
746         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o dsaup2.lo `test -f 'src/arpack/dsaup2.f' || echo '$(srcdir)/'`src/arpack/dsaup2.f
747
748 dneigh.lo: src/arpack/dneigh.f
749         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o dneigh.lo `test -f 'src/arpack/dneigh.f' || echo '$(srcdir)/'`src/arpack/dneigh.f
750
751 znaupd.lo: src/arpack/znaupd.f
752         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o znaupd.lo `test -f 'src/arpack/znaupd.f' || echo '$(srcdir)/'`src/arpack/znaupd.f
753
754 dsesrt.lo: src/arpack/dsesrt.f
755         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o dsesrt.lo `test -f 'src/arpack/dsesrt.f' || echo '$(srcdir)/'`src/arpack/dsesrt.f
756
757 zneupd.lo: src/arpack/zneupd.f
758         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o zneupd.lo `test -f 'src/arpack/zneupd.f' || echo '$(srcdir)/'`src/arpack/zneupd.f
759
760 smout.lo: src/arpack/smout.f
761         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o smout.lo `test -f 'src/arpack/smout.f' || echo '$(srcdir)/'`src/arpack/smout.f
762
763 znaitr.lo: src/arpack/znaitr.f
764         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o znaitr.lo `test -f 'src/arpack/znaitr.f' || echo '$(srcdir)/'`src/arpack/znaitr.f
765
766 zngets.lo: src/arpack/zngets.f
767         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o zngets.lo `test -f 'src/arpack/zngets.f' || echo '$(srcdir)/'`src/arpack/zngets.f
768
769 second.lo: src/arpack/second.f
770         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o second.lo `test -f 'src/arpack/second.f' || echo '$(srcdir)/'`src/arpack/second.f
771
772 znapps.lo: src/arpack/znapps.f
773         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o znapps.lo `test -f 'src/arpack/znapps.f' || echo '$(srcdir)/'`src/arpack/znapps.f
774
775 zlarnv.lo: src/arpack/zlarnv.f
776         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o zlarnv.lo `test -f 'src/arpack/zlarnv.f' || echo '$(srcdir)/'`src/arpack/zlarnv.f
777
778 dsortr.lo: src/arpack/dsortr.f
779         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o dsortr.lo `test -f 'src/arpack/dsortr.f' || echo '$(srcdir)/'`src/arpack/dsortr.f
780
781 zmout.lo: src/arpack/zmout.f
782         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o zmout.lo `test -f 'src/arpack/zmout.f' || echo '$(srcdir)/'`src/arpack/zmout.f
783
784 dseigt.lo: src/arpack/dseigt.f
785         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o dseigt.lo `test -f 'src/arpack/dseigt.f' || echo '$(srcdir)/'`src/arpack/dseigt.f
786
787 zgetv0.lo: src/arpack/zgetv0.f
788         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o zgetv0.lo `test -f 'src/arpack/zgetv0.f' || echo '$(srcdir)/'`src/arpack/zgetv0.f
789
790 znaup2.lo: src/arpack/znaup2.f
791         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o znaup2.lo `test -f 'src/arpack/znaup2.f' || echo '$(srcdir)/'`src/arpack/znaup2.f
792
793 icnteq.lo: src/arpack/icnteq.f
794         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o icnteq.lo `test -f 'src/arpack/icnteq.f' || echo '$(srcdir)/'`src/arpack/icnteq.f
795
796 icopy.lo: src/arpack/icopy.f
797         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o icopy.lo `test -f 'src/arpack/icopy.f' || echo '$(srcdir)/'`src/arpack/icopy.f
798
799 zneigh.lo: src/arpack/zneigh.f
800         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o zneigh.lo `test -f 'src/arpack/zneigh.f' || echo '$(srcdir)/'`src/arpack/zneigh.f
801
802 zsortc.lo: src/arpack/zsortc.f
803         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o zsortc.lo `test -f 'src/arpack/zsortc.f' || echo '$(srcdir)/'`src/arpack/zsortc.f
804
805 dstatn.lo: src/arpack/dstatn.f
806         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o dstatn.lo `test -f 'src/arpack/dstatn.f' || echo '$(srcdir)/'`src/arpack/dstatn.f
807
808 dlaruv.lo: src/arpack/dlaruv.f
809         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o dlaruv.lo `test -f 'src/arpack/dlaruv.f' || echo '$(srcdir)/'`src/arpack/dlaruv.f
810
811 dstqrb.lo: src/arpack/dstqrb.f
812         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o dstqrb.lo `test -f 'src/arpack/dstqrb.f' || echo '$(srcdir)/'`src/arpack/dstqrb.f
813
814 cvout.lo: src/arpack/cvout.f
815         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o cvout.lo `test -f 'src/arpack/cvout.f' || echo '$(srcdir)/'`src/arpack/cvout.f
816
817 dvout.lo: src/arpack/dvout.f
818         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o dvout.lo `test -f 'src/arpack/dvout.f' || echo '$(srcdir)/'`src/arpack/dvout.f
819
820 dstats.lo: src/arpack/dstats.f
821         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o dstats.lo `test -f 'src/arpack/dstats.f' || echo '$(srcdir)/'`src/arpack/dstats.f
822
823 dlaqrb.lo: src/arpack/dlaqrb.f
824         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o dlaqrb.lo `test -f 'src/arpack/dlaqrb.f' || echo '$(srcdir)/'`src/arpack/dlaqrb.f
825
826 ivout.lo: src/arpack/ivout.f
827         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o ivout.lo `test -f 'src/arpack/ivout.f' || echo '$(srcdir)/'`src/arpack/ivout.f
828
829 dnaupd.lo: src/arpack/dnaupd.f
830         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o dnaupd.lo `test -f 'src/arpack/dnaupd.f' || echo '$(srcdir)/'`src/arpack/dnaupd.f
831
832 dneupd.lo: src/arpack/dneupd.f
833         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o dneupd.lo `test -f 'src/arpack/dneupd.f' || echo '$(srcdir)/'`src/arpack/dneupd.f
834
835 dsaupd.lo: src/arpack/dsaupd.f
836         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o dsaupd.lo `test -f 'src/arpack/dsaupd.f' || echo '$(srcdir)/'`src/arpack/dsaupd.f
837
838 svout.lo: src/arpack/svout.f
839         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o svout.lo `test -f 'src/arpack/svout.f' || echo '$(srcdir)/'`src/arpack/svout.f
840
841 dnaitr.lo: src/arpack/dnaitr.f
842         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o dnaitr.lo `test -f 'src/arpack/dnaitr.f' || echo '$(srcdir)/'`src/arpack/dnaitr.f
843
844 iswap.lo: src/arpack/iswap.f
845         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o iswap.lo `test -f 'src/arpack/iswap.f' || echo '$(srcdir)/'`src/arpack/iswap.f
846
847 zstatn.lo: src/arpack/zstatn.f
848         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o zstatn.lo `test -f 'src/arpack/zstatn.f' || echo '$(srcdir)/'`src/arpack/zstatn.f
849
850 dseupd.lo: src/arpack/dseupd.f
851         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o dseupd.lo `test -f 'src/arpack/dseupd.f' || echo '$(srcdir)/'`src/arpack/dseupd.f
852
853 dngets.lo: src/arpack/dngets.f
854         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o dngets.lo `test -f 'src/arpack/dngets.f' || echo '$(srcdir)/'`src/arpack/dngets.f
855
856 dnapps.lo: src/arpack/dnapps.f
857         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o dnapps.lo `test -f 'src/arpack/dnapps.f' || echo '$(srcdir)/'`src/arpack/dnapps.f
858
859 dsaitr.lo: src/arpack/dsaitr.f
860         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o dsaitr.lo `test -f 'src/arpack/dsaitr.f' || echo '$(srcdir)/'`src/arpack/dsaitr.f
861
862 dlarnv.lo: src/arpack/dlarnv.f
863         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o dlarnv.lo `test -f 'src/arpack/dlarnv.f' || echo '$(srcdir)/'`src/arpack/dlarnv.f
864
865 cmout.lo: src/arpack/cmout.f
866         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o cmout.lo `test -f 'src/arpack/cmout.f' || echo '$(srcdir)/'`src/arpack/cmout.f
867
868 dnconv.lo: src/arpack/dnconv.f
869         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o dnconv.lo `test -f 'src/arpack/dnconv.f' || echo '$(srcdir)/'`src/arpack/dnconv.f
870
871 zvout.lo: src/arpack/zvout.f
872         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o zvout.lo `test -f 'src/arpack/zvout.f' || echo '$(srcdir)/'`src/arpack/zvout.f
873
874 dmout.lo: src/arpack/dmout.f
875         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o dmout.lo `test -f 'src/arpack/dmout.f' || echo '$(srcdir)/'`src/arpack/dmout.f
876
877 dsgets.lo: src/arpack/dsgets.f
878         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o dsgets.lo `test -f 'src/arpack/dsgets.f' || echo '$(srcdir)/'`src/arpack/dsgets.f
879
880 dgetv0.lo: src/arpack/dgetv0.f
881         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o dgetv0.lo `test -f 'src/arpack/dgetv0.f' || echo '$(srcdir)/'`src/arpack/dgetv0.f
882
883 dnaup2.lo: src/arpack/dnaup2.f
884         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o dnaup2.lo `test -f 'src/arpack/dnaup2.f' || echo '$(srcdir)/'`src/arpack/dnaup2.f
885
886 dsapps.lo: src/arpack/dsapps.f
887         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o dsapps.lo `test -f 'src/arpack/dsapps.f' || echo '$(srcdir)/'`src/arpack/dsapps.f
888
889 mostlyclean-libtool:
890         -rm -f *.lo
891
892 clean-libtool:
893         -rm -rf .libs _libs
894 install-libsciarnoldi_la_etcDATA: $(libsciarnoldi_la_etc_DATA)
895         @$(NORMAL_INSTALL)
896         test -z "$(libsciarnoldi_la_etcdir)" || $(MKDIR_P) "$(DESTDIR)$(libsciarnoldi_la_etcdir)"
897         @list='$(libsciarnoldi_la_etc_DATA)'; test -n "$(libsciarnoldi_la_etcdir)" || list=; \
898         for p in $$list; do \
899           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
900           echo "$$d$$p"; \
901         done | $(am__base_list) | \
902         while read files; do \
903           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciarnoldi_la_etcdir)'"; \
904           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciarnoldi_la_etcdir)" || exit $$?; \
905         done
906
907 uninstall-libsciarnoldi_la_etcDATA:
908         @$(NORMAL_UNINSTALL)
909         @list='$(libsciarnoldi_la_etc_DATA)'; test -n "$(libsciarnoldi_la_etcdir)" || list=; \
910         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
911         test -n "$$files" || exit 0; \
912         echo " ( cd '$(DESTDIR)$(libsciarnoldi_la_etcdir)' && rm -f" $$files ")"; \
913         cd "$(DESTDIR)$(libsciarnoldi_la_etcdir)" && rm -f $$files
914 install-libsciarnoldi_la_rootDATA: $(libsciarnoldi_la_root_DATA)
915         @$(NORMAL_INSTALL)
916         test -z "$(libsciarnoldi_la_rootdir)" || $(MKDIR_P) "$(DESTDIR)$(libsciarnoldi_la_rootdir)"
917         @list='$(libsciarnoldi_la_root_DATA)'; test -n "$(libsciarnoldi_la_rootdir)" || list=; \
918         for p in $$list; do \
919           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
920           echo "$$d$$p"; \
921         done | $(am__base_list) | \
922         while read files; do \
923           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciarnoldi_la_rootdir)'"; \
924           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciarnoldi_la_rootdir)" || exit $$?; \
925         done
926
927 uninstall-libsciarnoldi_la_rootDATA:
928         @$(NORMAL_UNINSTALL)
929         @list='$(libsciarnoldi_la_root_DATA)'; test -n "$(libsciarnoldi_la_rootdir)" || list=; \
930         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
931         test -n "$$files" || exit 0; \
932         echo " ( cd '$(DESTDIR)$(libsciarnoldi_la_rootdir)' && rm -f" $$files ")"; \
933         cd "$(DESTDIR)$(libsciarnoldi_la_rootdir)" && rm -f $$files
934 install-libsciarnoldi_la_sci_gatewayDATA: $(libsciarnoldi_la_sci_gateway_DATA)
935         @$(NORMAL_INSTALL)
936         test -z "$(libsciarnoldi_la_sci_gatewaydir)" || $(MKDIR_P) "$(DESTDIR)$(libsciarnoldi_la_sci_gatewaydir)"
937         @list='$(libsciarnoldi_la_sci_gateway_DATA)'; test -n "$(libsciarnoldi_la_sci_gatewaydir)" || list=; \
938         for p in $$list; do \
939           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
940           echo "$$d$$p"; \
941         done | $(am__base_list) | \
942         while read files; do \
943           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciarnoldi_la_sci_gatewaydir)'"; \
944           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciarnoldi_la_sci_gatewaydir)" || exit $$?; \
945         done
946
947 uninstall-libsciarnoldi_la_sci_gatewayDATA:
948         @$(NORMAL_UNINSTALL)
949         @list='$(libsciarnoldi_la_sci_gateway_DATA)'; test -n "$(libsciarnoldi_la_sci_gatewaydir)" || list=; \
950         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
951         test -n "$$files" || exit 0; \
952         echo " ( cd '$(DESTDIR)$(libsciarnoldi_la_sci_gatewaydir)' && rm -f" $$files ")"; \
953         cd "$(DESTDIR)$(libsciarnoldi_la_sci_gatewaydir)" && rm -f $$files
954
955 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
956         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
957         unique=`for i in $$list; do \
958             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
959           done | \
960           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
961               END { if (nonempty) { for (i in files) print i; }; }'`; \
962         mkid -fID $$unique
963 tags: TAGS
964
965 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
966                 $(TAGS_FILES) $(LISP)
967         set x; \
968         here=`pwd`; \
969         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
970         unique=`for i in $$list; do \
971             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
972           done | \
973           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
974               END { if (nonempty) { for (i in files) print i; }; }'`; \
975         shift; \
976         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
977           test -n "$$unique" || unique=$$empty_fix; \
978           if test $$# -gt 0; then \
979             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
980               "$$@" $$unique; \
981           else \
982             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
983               $$unique; \
984           fi; \
985         fi
986 ctags: CTAGS
987 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
988                 $(TAGS_FILES) $(LISP)
989         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
990         unique=`for i in $$list; do \
991             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
992           done | \
993           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
994               END { if (nonempty) { for (i in files) print i; }; }'`; \
995         test -z "$(CTAGS_ARGS)$$unique" \
996           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
997              $$unique
998
999 GTAGS:
1000         here=`$(am__cd) $(top_builddir) && pwd` \
1001           && $(am__cd) $(top_srcdir) \
1002           && gtags -i $(GTAGS_ARGS) "$$here"
1003
1004 distclean-tags:
1005         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1006
1007 distdir: $(DISTFILES)
1008         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1009         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1010         list='$(DISTFILES)'; \
1011           dist_files=`for file in $$list; do echo $$file; done | \
1012           sed -e "s|^$$srcdirstrip/||;t" \
1013               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1014         case $$dist_files in \
1015           */*) $(MKDIR_P) `echo "$$dist_files" | \
1016                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1017                            sort -u` ;; \
1018         esac; \
1019         for file in $$dist_files; do \
1020           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1021           if test -d $$d/$$file; then \
1022             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1023             if test -d "$(distdir)/$$file"; then \
1024               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1025             fi; \
1026             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1027               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1028               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1029             fi; \
1030             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1031           else \
1032             test -f "$(distdir)/$$file" \
1033             || cp -p $$d/$$file "$(distdir)/$$file" \
1034             || exit 1; \
1035           fi; \
1036         done
1037 check-am: all-am
1038         $(MAKE) $(AM_MAKEFLAGS) check-local
1039 check: check-am
1040 all-am: Makefile $(LTLIBRARIES) $(DATA) all-local
1041 installdirs:
1042         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libsciarnoldi_la_etcdir)" "$(DESTDIR)$(libsciarnoldi_la_rootdir)" "$(DESTDIR)$(libsciarnoldi_la_sci_gatewaydir)"; do \
1043           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1044         done
1045 install: install-am
1046 install-exec: install-exec-am
1047 install-data: install-data-am
1048 uninstall: uninstall-am
1049
1050 install-am: all-am
1051         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1052
1053 installcheck: installcheck-am
1054 install-strip:
1055         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1056           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1057           `test -z '$(STRIP)' || \
1058             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
1059 mostlyclean-generic:
1060
1061 clean-generic:
1062
1063 distclean-generic:
1064         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1065         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1066
1067 maintainer-clean-generic:
1068         @echo "This command is intended for maintainers to use"
1069         @echo "it deletes files that may require special tools to rebuild."
1070 clean: clean-am
1071
1072 clean-am: clean-generic clean-libtool clean-local \
1073         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES mostlyclean-am
1074
1075 distclean: distclean-am
1076         -rm -rf ./$(DEPDIR)
1077         -rm -f Makefile
1078 distclean-am: clean-am distclean-compile distclean-generic \
1079         distclean-local distclean-tags
1080
1081 dvi: dvi-am
1082
1083 dvi-am:
1084
1085 html: html-am
1086
1087 html-am:
1088
1089 info: info-am
1090
1091 info-am:
1092
1093 install-data-am: install-data-local install-libsciarnoldi_la_etcDATA \
1094         install-libsciarnoldi_la_rootDATA \
1095         install-libsciarnoldi_la_sci_gatewayDATA
1096
1097 install-dvi: install-dvi-am
1098
1099 install-dvi-am:
1100
1101 install-exec-am: install-pkglibLTLIBRARIES
1102
1103 install-html: install-html-am
1104
1105 install-html-am: install-html-local
1106
1107 install-info: install-info-am
1108
1109 install-info-am:
1110
1111 install-man:
1112
1113 install-pdf: install-pdf-am
1114
1115 install-pdf-am:
1116
1117 install-ps: install-ps-am
1118
1119 install-ps-am:
1120
1121 installcheck-am:
1122
1123 maintainer-clean: maintainer-clean-am
1124         -rm -rf ./$(DEPDIR)
1125         -rm -f Makefile
1126 maintainer-clean-am: distclean-am maintainer-clean-generic
1127
1128 mostlyclean: mostlyclean-am
1129
1130 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1131         mostlyclean-libtool
1132
1133 pdf: pdf-am
1134
1135 pdf-am:
1136
1137 ps: ps-am
1138
1139 ps-am:
1140
1141 uninstall-am: uninstall-libsciarnoldi_la_etcDATA \
1142         uninstall-libsciarnoldi_la_rootDATA \
1143         uninstall-libsciarnoldi_la_sci_gatewayDATA \
1144         uninstall-pkglibLTLIBRARIES
1145
1146 .MAKE: check-am install-am install-strip
1147
1148 .PHONY: CTAGS GTAGS all all-am all-local check check-am check-local \
1149         clean clean-generic clean-libtool clean-local \
1150         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES ctags \
1151         distclean distclean-compile distclean-generic \
1152         distclean-libtool distclean-local distclean-tags distdir dvi \
1153         dvi-am html html-am info info-am install install-am \
1154         install-data install-data-am install-data-local install-dvi \
1155         install-dvi-am install-exec install-exec-am install-html \
1156         install-html-am install-html-local install-info \
1157         install-info-am install-libsciarnoldi_la_etcDATA \
1158         install-libsciarnoldi_la_rootDATA \
1159         install-libsciarnoldi_la_sci_gatewayDATA install-man \
1160         install-pdf install-pdf-am install-pkglibLTLIBRARIES \
1161         install-ps install-ps-am install-strip installcheck \
1162         installcheck-am installdirs maintainer-clean \
1163         maintainer-clean-generic mostlyclean mostlyclean-compile \
1164         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1165         tags uninstall uninstall-am uninstall-libsciarnoldi_la_etcDATA \
1166         uninstall-libsciarnoldi_la_rootDATA \
1167         uninstall-libsciarnoldi_la_sci_gatewayDATA \
1168         uninstall-pkglibLTLIBRARIES
1169
1170
1171 # This target enables tests for Scilab
1172 check-local: $(top_builddir)/scilab-bin test
1173         @COMMAND="test_run('$(modulename)');quit";\
1174         export LANG=C;\
1175         $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"
1176 check-code:
1177         if test -f build.xml; then \
1178                 $(ANT) checkstyle; \
1179         fi
1180         if test -x "$(SPLINT)"; then \
1181                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1182         fi
1183 @NEED_JAVA_TRUE@java:
1184 # Some configurations needs to export JAVA_HOME in the current env
1185 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1186 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1187 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1188 @NEED_JAVA_TRUE@                $(ANT); \
1189 @NEED_JAVA_TRUE@        fi
1190
1191 @NEED_JAVA_TRUE@clean-java:
1192 # Some configurations needs to export JAVA_HOME in the current env
1193 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1194 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1195 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1196 @NEED_JAVA_TRUE@                $(ANT) clean; \
1197 @NEED_JAVA_TRUE@        fi;
1198
1199 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1200 # We call the target swig-build on the variable SWIG_WRAPPERS
1201
1202 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1203 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1204 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1205 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1206 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1207 @SWIG_TRUE@                     echo "Swig process of $$file ..."; \
1208 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1209 @SWIG_TRUE@             done; \
1210 @SWIG_TRUE@     fi
1211
1212 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1213 # We call the target swig-build on the variable SWIG_WRAPPERS
1214
1215 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1216 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1217 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1218 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1219 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1220 @GIWS_TRUE@                     $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR --throws-exception-on-error --description-file $$file; \
1221 @GIWS_TRUE@             done; \
1222 @GIWS_TRUE@     fi
1223
1224 @GIWS_TRUE@giws-exception:
1225 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1226 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1227 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR 
1228
1229 macros:
1230         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1231                 echo "Error : Cannot build $< : Scilab has not been built"; \
1232         else \
1233                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1234         fi)
1235
1236 # Removes the macros
1237 clean-macros:
1238 # Removes macros (*.bin generated from .sci)
1239         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1240                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1241                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1242         done
1243
1244 test:
1245 # More tests could be added here
1246         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1247         if test -f build.xml -a $$USEANT -eq 1; then \
1248                 $(ANT) test; \
1249         fi
1250
1251 all-local: $(TARGETS_ALL)
1252
1253 .sci.bin:
1254         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1255         echo "Error : Cannot build $< : Scilab has not been build"; \
1256         else \
1257         echo "Creating $@"; \
1258         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1259         fi )
1260
1261 install-html-local:
1262
1263 install-data-local-local:
1264 # Mainly for javasci
1265         @if test -d $(srcdir)/javadoc; then \
1266                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1267         fi
1268 # If the user wants the help sources to be installed
1269 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1270 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1271 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1272 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1273 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1274 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1275 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1276 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1277 @INSTALL_HELP_XML_TRUE@           done ; \
1278 @INSTALL_HELP_XML_TRUE@         fi; \
1279 @INSTALL_HELP_XML_TRUE@  fi; \
1280 @INSTALL_HELP_XML_TRUE@ done; \
1281 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1282 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1283 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1284 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1285 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1286 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1287 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1288 @INSTALL_HELP_XML_TRUE@           done ; \
1289 @INSTALL_HELP_XML_TRUE@         fi; \
1290 @INSTALL_HELP_XML_TRUE@ fi
1291 install-data-local:
1292 # Install the tests
1293         @echo "-------- Install tests (if any) --------"; \
1294         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1295           if test -d $(srcdir)/$$dir/; then \
1296             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1297                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1298                     if test -d "$(srcdir)/$$dir/$$file"; then \
1299                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1300                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1301                     else \
1302                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1303                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1304                     fi \
1305                   done; \
1306           fi; \
1307         done
1308 # Install the help chapter
1309         @echo "-------- Install the help chapter (if any) --------"; \
1310         for lang in $(HELP_CHAPTERLANG); do \
1311                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1312                 if test -f $$HELPFILE; then \
1313                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1314                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1315                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1316                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1317                 fi; \
1318         done
1319 # Install the demos & examples
1320         @echo "-------- Install demos & examples (if any) --------"; \
1321         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1322           if test -d $(srcdir)/$$dir/; then \
1323             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1324                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1325                     if test -d "$(srcdir)/$$dir/$$file"; then \
1326                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1327                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1328                     else \
1329                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1330                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1331                     fi \
1332                   done; \
1333           fi; \
1334         done
1335 # Install the macros
1336         @echo "-------- Install macros (if any) --------"; \
1337         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1338           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1339                 if test -d $(srcdir)/$$dir/; then \
1340                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1341                         if test -n "$(MACROSSPECIALEXT)"; then \
1342                                 specialExtDir=""; \
1343                                 for specialExt in $(MACROSSPECIALEXT); do \
1344                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1345                                 done; \
1346                                 FILELIST="$$FILELIST $$specialExtDir"; \
1347                         fi; \
1348                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1349                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1350                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1351                   done; \
1352                 fi; \
1353         done
1354 # Install java files (.jar)
1355         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1356         echo "-------- Install jar files --------"; \
1357     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1358           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1359                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1360                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1361           done ; \
1362         fi
1363
1364 ########### CLEAN ###################
1365 # Clean help (generated automatically by Scilab)
1366 # It used to clean the macro (clean-macros) but this was causing
1367 # make clean && make to fail Scilab startup
1368 @NEED_JAVA_TRUE@clean-local: clean-java
1369 @NEED_JAVA_FALSE@clean-local:
1370
1371 distclean-local:
1372         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1373
1374 .PHONY: macros java swig giws
1375
1376 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1377 # Otherwise a system limit (for SysV at least) may be exceeded.
1378 .NOEXPORT: